Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jserv
Class Ajpv12InputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--java.io.BufferedInputStream
                        |
                        +--org.apache.jserv.Ajpv12InputStream

public class Ajpv12InputStream
extends java.io.BufferedInputStream

A high speed wrapper around the connection to the server.

Fields inherited from class java.io.BufferedInputStream
`buf, count, defaultBufferSize, marklimit, markpos, pos`

Fields inherited from class java.io.FilterInputStream
`in`

Fields inherited from class java.io.InputStream
`SKIP_BUFFER_SIZE, skipBuffer`

Constructor Summary
`Ajpv12InputStream(java.io.InputStream in)`
`Ajpv12InputStream(java.io.InputStream in, int bufsize)`

Method Summary
`java.lang.String` | `readString(java.lang.String def)`
`int` | `readWord()`

Methods inherited from class java.io.BufferedInputStream
`, available, close, ensureOpen, fill, mark, markSupported, read, read, read1, reset, skip`

Methods inherited from class java.io.FilterInputStream
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### Ajpv12InputStream

    public Ajpv12InputStream(java.io.InputStream in)

### Ajpv12InputStream

    public Ajpv12InputStream(java.io.InputStream in,
                             int bufsize)

Method Detail

### readWord

    public int readWord()
                 throws java.io.IOException

### readString

    public java.lang.String readString(java.lang.String def)
                                throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD